# Create taxation items for an invoice Creates taxation items for an invoice. Endpoint: POST /v1/invoices/{invoiceKey}/taxation-items Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `invoiceKey` (string, required) The unique ID or number of an invoice. For example, 8a8082e65b27f6c3015ba45ff82c7172 or INV00000001. ## Request fields (application/json): - `taxationItems` (array) Container for taxation items. Example: [{"exemptAmount":0,"financeInformation":{"accountsReceivableAccountingCode":"Check","salesTaxPayableAccountingCode":"Check"},"invoiceItemId":"402890555a7e9791015a879f064d0055","jurisdiction":"CALIFORNIA","locationCode":"06","name":"STATE TAX","taxAmount":0.1,"taxCode":"ServiceTaxCode","taxCodeDescription":"This is tax code description!","taxDate":"2016-09-30","taxMode":"TaxExclusive","taxRate":0.0625,"taxRateDescription":"This is tax rate description!","taxRateType":"Percentage"}] - `taxationItems.exemptAmount` (string) The calculated tax amount excluded due to the exemption. - `taxationItems.financeInformation` (object) Container for the finance information related to the taxation item. - `taxationItems.financeInformation.accountsReceivableAccountingCode` (string) The accounting code for accounts receivable. - `taxationItems.financeInformation.salesTaxPayableAccountingCode` (string) The accounting code for the sales taxes payable. - `taxationItems.invoiceItemId` (string, required) The ID of the invoice associated with the taxation item. - `taxationItems.jurisdiction` (string, required) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `taxationItems.locationCode` (string) The identifier for the location based on the value of the taxCode field. - `taxationItems.name` (string, required) The name of taxation. - `taxationItems.taxAmount` (string, required) The amount of the taxation item in the invoice item. - `taxationItems.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific invoice item. - `taxationItems.taxCodeDescription` (string) The description of the tax code. - `taxationItems.taxDate` (string, required) The date that the tax is applied to the invoice item, in yyyy-mm-dd format. - `taxationItems.taxMode` (string) The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax. Enum: "TaxInclusive", "TaxExclusive" - `taxationItems.taxRate` (string, required) The tax rate applied to the invoice item. - `taxationItems.taxRateDescription` (string) The description of the tax rate. - `taxationItems.taxRateType` (string, required) The type of the tax rate applied to the invoice item. Enum: "Percentage", "FlatFee" ## Response 200 fields (application/json): - `success` (boolean) Returns true if the request was processed successfully. - `taxationItems` (array) Container for taxation items. - `taxationItems.createdById` (string) The ID of the Zuora user who created the taxation item. - `taxationItems.createdDate` (string) The date and time when the taxation item was created in the Zuora system, in yyyy-mm-dd hh:mm:ss format. - `taxationItems.exemptAmount` (number) The calculated tax amount excluded due to the exemption. - `taxationItems.financeInformation` (object) Container for the finance information related to the taxation item. - `taxationItems.financeInformation.accountsReceivableAccountingCode` (string) The accounting code for accounts receivable. - `taxationItems.financeInformation.accountsReceivableAccountingCodeType` (string) The type of the accounting code for accounts receivable. - `taxationItems.financeInformation.salesTaxPayableAccountingCode` (string) The accounting code for the sales taxes payable. - `taxationItems.financeInformation.salesTaxPayableAccountingCodeType` (string) The type of the accounting code for the sales taxes payable. - `taxationItems.id` (string) The ID of the taxation item. - `taxationItems.invoiceItemId` (string) The ID of the invoice associated with the taxation item. - `taxationItems.jurisdiction` (string) The jurisdiction that applies the tax or VAT. This value is typically a state, province, county, or city. - `taxationItems.locationCode` (string,null) The identifier for the location based on the value of the taxCode field. - `taxationItems.name` (string) The name of the taxation item. - `taxationItems.taxAmount` (number) The amount of the tax applied to the invoice. - `taxationItems.taxCode` (string) The tax code identifies which tax rules and tax rates to apply to a specific invoice. - `taxationItems.taxCodeDescription` (string,null) The description of the tax code. - `taxationItems.taxDate` (string) The date when the tax is applied to the invoice. - `taxationItems.taxMode` (string) The tax mode of the invoice item, indicating whether the amount of the invoice item includes tax. Enum: "TaxInclusive", "TaxExclusive" - `taxationItems.taxRate` (number) The tax rate applied to the invoice. - `taxationItems.taxRateDescription` (string,null) The description of the tax rate. - `taxationItems.taxRateType` (string) The type of the tax rate applied to the invoice. Enum: "Percentage", "FlatFee" - `taxationItems.updatedById` (string) The ID of the Zuora user who last updated the taxation item. - `taxationItems.updatedDate` (string) The date and time when the taxation item was last updated, in yyyy-mm-dd hh:mm:ss format. ## Response 500 fields (application/json): - `reasons` (array) Example: [{"code":"ObjectNotFound","message":"Notification definition with id 6e569e1e05f040eda51a927b140c0ac1 does not exist"}] - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response ## Response 4XX fields (application/json): - `processId` (string) The ID of the process that handles the operation. - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (string) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) Unique identifier of the request. - `success` (boolean) Indicates whether the call succeeded.